From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/quazip/
Date: Sun, 23 Oct 2016 17:47:14 +0000 (UTC) [thread overview]
Message-ID: <1477244827.f0c1fce8a87ce8fefb1301a2015afb0d850dc079.soap@gentoo> (raw)
commit: f0c1fce8a87ce8fefb1301a2015afb0d850dc079
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sat Oct 22 15:29:39 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Oct 23 17:47:07 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0c1fce8
dev-libs/quazip: 0.7.2 version bump, switch to cmake, multibuild
Tests need qmake and only work with Qt4.
Gentoo-bug: 558634
Closes: https://github.com/gentoo/gentoo/pull/2636
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-libs/quazip/Manifest | 1 +
dev-libs/quazip/quazip-0.7.2.ebuild | 89 +++++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/dev-libs/quazip/Manifest b/dev-libs/quazip/Manifest
index b33dc66..eb64000 100644
--- a/dev-libs/quazip/Manifest
+++ b/dev-libs/quazip/Manifest
@@ -1 +1,2 @@
DIST quazip-0.7.1.tar.gz 390629 SHA256 78c984103555c51e6f7ef52e3a2128e2beb9896871b2cc4d4dbd4d64bff132de SHA512 58e044019505075aa89f112672c04c54875d98b353ac5a39b6eb3e1f08ea27bd9900126d902c282b87910e4bae5ab9da79942b9add7a5535625c187331445acc WHIRLPOOL bf683e90fd58ae4d94d72f4b4530754eb1944df03adccd4e0302fe7ec82afe07fd54c9d6975ba4f1b30e3d14928fbcc6c987ec612deeb6b66be9c86c5e5d9787
+DIST quazip-0.7.2.tar.gz 466915 SHA256 91d827fbcafd099ae814cc18a8dd3bb709da6b8a27c918ee1c6c03b3f29440f4 SHA512 669efb01edefee084ae755728aa2392bf160331fb13db62b7fac5e91bd45c29bb824a41ec63dd4a74c4a9780848d3308c0dcdb503f907a0fcccfbe969c291dd0 WHIRLPOOL 512661cab59eb2bda5e3a45ee800577bc2b8d3016a4076ca253b64de627098b4e2f62e20397dfe7a2f72aeaad7abdda8f1027e109ce1e8b6d6bfe117456600fb
diff --git a/dev-libs/quazip/quazip-0.7.2.ebuild b/dev-libs/quazip/quazip-0.7.2.ebuild
new file mode 100644
index 00000000..f05b2fe
--- /dev/null
+++ b/dev-libs/quazip/quazip-0.7.2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic multibuild qmake-utils
+
+DESCRIPTION="A simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package"
+HOMEPAGE="http://quazip.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="qt4 +qt5 static-libs test"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+RDEPEND="
+ sys-libs/zlib[minizip]
+ qt4? ( dev-qt/qtcore:4 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5
+ )
+"
+DEPEND="${RDEPEND}
+ test? (
+ qt4? ( dev-qt/qttest:4 )
+ )
+"
+
+DOCS=( NEWS.txt README.txt )
+HTML_DOCS=( doc/html/. )
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
+}
+
+src_prepare() {
+ if ! use static-libs ; then
+ sed -e "/^install/ s/quazip_static//" -i quazip/CMakeLists.txt || die
+ fi
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ myconfigure() {
+ local libdir=$(get_libdir)
+ local mycmakeargs=(
+ -DLIB_SUFFIX=${libdir/lib/}
+ )
+ unset libdir
+ if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
+ mycmakeargs+=( -DBUILD_WITH_QT4=ON )
+ fi
+ if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
+ local -x CXXFLAGS="${CXXFLAGS}"
+ append-cxxflags -std=c++11 -fPIC
+ mycmakeargs+=( -DBUILD_WITH_QT4=OFF )
+ fi
+ cmake-utils_src_configure
+ }
+
+ multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+ multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_test() {
+ cd "${S}"/qztest || die
+ mytest() {
+ if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
+ eqmake4 \
+ LIBS+="-L${WORKDIR}/${P}-qt4"
+ emake
+ LD_LIBRARY_PATH="${WORKDIR}/${P}-qt4" ./qztest || die
+ fi
+ }
+
+ multibuild_foreach_variant mytest
+}
+
+src_install() {
+ multibuild_foreach_variant cmake-utils_src_install
+}
next reply other threads:[~2016-10-23 17:47 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-23 17:47 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-18 9:01 [gentoo-commits] repo/gentoo:master commit in: dev-libs/quazip/ Arthur Zamarin
2023-12-17 0:05 Sam James
2023-12-16 19:16 Arthur Zamarin
2023-12-04 12:27 Michał Górny
2023-12-03 23:15 Sam James
2023-12-03 23:15 Sam James
2023-12-03 18:28 Arthur Zamarin
2023-09-13 4:29 Sam James
2023-05-22 6:33 Andrew Ammerlaan
2023-05-22 6:33 Andrew Ammerlaan
2022-12-02 0:46 Sam James
2022-12-02 0:46 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-09-20 10:26 Andrew Ammerlaan
2022-09-09 16:09 Andrew Ammerlaan
2022-04-20 22:09 Sam James
2022-01-25 15:47 Sam James
2022-01-25 15:47 Sam James
2022-01-25 13:36 Jakov Smolić
2022-01-25 13:36 Jakov Smolić
2021-10-10 20:44 Marek Szuba
2021-04-07 22:45 Sam James
2021-04-05 19:01 Thomas Deutschmann
2021-04-05 16:53 Sam James
2021-04-03 23:07 Sam James
2020-12-03 13:37 Sam James
2020-09-19 20:40 Andreas Sturmlechner
2020-09-18 7:54 Agostino Sarubbo
2020-08-30 1:32 Thomas Deutschmann
2020-08-22 5:43 Agostino Sarubbo
2020-05-09 8:47 Mart Raudsepp
2020-01-18 23:29 Andreas Sturmlechner
2019-07-02 14:07 Andreas Sturmlechner
2019-07-02 8:28 Sergei Trofimovich
2019-07-02 8:24 Sergei Trofimovich
2019-06-28 15:21 Agostino Sarubbo
2019-06-28 11:37 Agostino Sarubbo
2018-08-11 19:32 Andreas Sturmlechner
2018-07-29 10:35 Sergei Trofimovich
2018-07-20 22:40 Thomas Deutschmann
2018-07-17 13:55 Agostino Sarubbo
2018-06-20 13:03 Andreas Sturmlechner
2018-02-27 16:14 Andreas Sturmlechner
2018-02-27 16:14 Andreas Sturmlechner
2018-01-23 19:07 Markus Meier
2018-01-08 23:40 Mikle Kolyada
2017-12-27 23:26 Andreas Sturmlechner
2017-10-30 23:33 Andreas Sturmlechner
2017-04-15 22:27 Manuel Rüger
2017-02-21 20:36 Markus Meier
2017-01-29 23:18 Jeroen Roovers
2017-01-16 19:56 Tobias Klausmann
2017-01-09 12:26 Aaron Bauman
2016-12-22 15:27 Michael Palimaka
2016-12-22 15:27 Michael Palimaka
2015-11-12 11:21 Justin Lecher
2015-11-12 10:51 Agostino Sarubbo
2015-10-17 10:58 Markus Meier
2015-09-28 16:27 Tobias Klausmann
2015-09-28 2:58 Jeroen Roovers
2015-09-25 14:13 Agostino Sarubbo
2015-09-24 10:36 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1477244827.f0c1fce8a87ce8fefb1301a2015afb0d850dc079.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox